

    % User Level Definitionen
    %
    % Dieser Bereich beschreibt die User Level, die in der BBS verwendet
    % werden..
    % Das Default Schema ist kompatibel mit Maximus Version 2.x
    % und frueher.
    %
    % Es koennen beliebig viele Levels koennen fuer Maximus hier definiert
    % werden.
    %
    % (Anmerkung des Uebersetzers: Waehrend Maximus bis zur V2.02 nur
    % bestimmte Levelbezeichnungen vorsah, koennen diese ab der Version
    % 3.0 voellig frei definiert werden. Die in dieser ACCESS.CTL vorge-
    % gebenen Namen entsprechen den Bezeichnungen aus frueheren Maximus
    % Versionen. Es wird aber nun die Moeglichkeit eingeraeumt, noch
    % feinere Differenzierungen vorzunehmen.)
    %
    % Jede 'Access' Anweisung definiert einen Level von Privilegien,
    % wobei die dort genannten begriffe bedeuten:
    %
    % Access <name>             <name> ist ein symbolischer Name zur
    %                           Benennung dieses Privileg Levels. Dieser
    %                           symbolische Name ist austauschbar mit
    %                           'Level'.
    %
    %                           <name> muss mit einem Buchstaben beginnen
    %                           und kann darueberhinaus aus beliebigen
    %                           Kombinationen von Buchstaben und Zeichen
    %                           bestehen. Nicht gestattet sind Leerzeichen
    %                           oder Tabs. <name> darf immer nur einmal
    %                           spezifiziert sein.
    %
    %   Level       <lvl>       <lvl> ist der Privileg Level, und wird ver-
    %                           wendet, um den Hierarchie-Unterschied von
    %                           einem Level zum anderen darzustellen. Die
    %                           Angaben unter <lvl> duerfen nur einmal
    %                           definiert werden.
    %
    %   Desc        <desc>      <desc> ist eine wahlfreie Beschreibung.
    %                           Wird die Beschreibung hier nicht angegeben,
    %                           so wird der Name selbst angenommen. <desc>
    %                           darf einschliesslich Leerzeichen und Tabs
    %                           aus beliebigen Buchstaben und Zeichen
    %                           bestehen. Es gibt kein besonderes Format.
    %
    %   Key         <letter>    Dies ist der Key als Buchstabe dargestellt
    %                           und definiert den Namen dieses Levels fuer
    %                           aeltere MECCA Tokens wie [?below] [?above]
    %                           [?line] [?file] usw. Per Default wird
    %                           der erste Buchstabe dess "Access name" als
    %                           Grossbuchstabe verwendet, aber 'Key' bewirkt,
    %                           dass dies ueberschrieben wird.
    %
    %   Time        <mins>      <mins> gibt die maximale Anzahl von Minuten
    %                           an, die ein User in diesem Level in einer
    %                           Session eingeloggt sein darf. Es gibt keinen
    %                           Default.
    %
    %   Cume        <mins>      <mins> an dieser Stelle gibt die Maximal-
    %                           zeit in Minuten an, die ein User in diesem
    %                           Level AM TAG ueber alle Sessions hinweg ein-
    %                           geloggt sein darf. Kein Default.
    %
    %   Calls       <no>        <no> ist die Hoechstzahl der gestatteten
    %                           Logins am Tag fuer einen User in diesem Level.
    %                           Ein Wert von -1 bedeutet beliebig viele
    %                           Logins, obwohl die Maximalzeit trotzdem
    %                           noch gilt.
    %
    %   LogonBaud   <baud>      Dies ist die niedrigstmoegliche Baud Rate,
    %                           mit der ein User in diesem Level einloggen
    %                           darf. Per Default wird jede Baud Rate
    %                           akzeptiert.
    %
    %   XferBaud    <baud>      Die niedrigste Baud Rate, mit der ein User
    %                           dieses Levels Dateien runterladen darf.
    %                           Default ist, dass bei jeder Baud rate runter-
    %                           geladen werden darf.
    %
    %   FileLimit   <kbs>       Angabe des Maximalwerts an Kilobytes, die
    %                           ein User am Tag runterladen darf.
    %
    %   FileRatio   <amt>       <amt> beschreibt das Verhaeltnis von
    %                           Upload zu Download, welches ein User haben
    %                           muss, um Dateien runterladen zu duerfen.
    %                           Dies kommt jedoch nur zum Tragen, wenn
    %                           der unter 'RatioFree' angegebene Wert
    %                           ueberschritten wuerde.
    %
    %   RatioFree   <kbs>       Dies ist der Wert in Kilobytes, die ein
    %                           User runterladen darf, bevor die Angabe
    %                           unter FileRatio greift.
    %
    %   UploadReward <value>
    %                           Diese Angabe bedeutet, wieviel Zeit Maximus
    %                           einem User fuer einen Upload gutschreibt. Die
    %                           Angabe erfolgt in Prozent. Eine Angabe von
    %                           '100%' bedeutet z.B., dass lediglich die zum
    %                           Upload benoetigte Zeit wieder gutgeschrieben
    %                           wird. In anderen Worten: Der User hat noch
    %                           die selbe Zeit zur Verfuegung, wie vor dem
    %                           Upload. Will man das Hochladen von Dateien
    %                           foerdern, so kann man diesen Wert auf ueber
    %                           100% erhoehen. So wird z.B. bei einem Wert
    %                           von 200% dem User fuer jede Sekunde des
    %                           Uploads 2 Sekunden extra Zeit gutgeschrieben.
    %                           Soll die Zeitkompenstion abgeschaltet werden,
    %                           wird diese Angabe auf Null gesetzt.
    %
    %
    %   LoginFile   <filename>  <filename> ist eine Datei, die allen Usern
    %                           dieser Klasse direkt nach dem Login ange-
    %                           zeigt wird. Enthaelt <filename> keine Pfad-
    %                           angabe, so wird das \Misc Verzeichnis
    %                           angenommen.
    %
    %   Flags       <words>     Diese Flags werden allen Usern der ent-
    %                           sprechenden Klasse angezeigt und zeigen
    %                           normalerweise an, dass eine Aktion anwendbar
    %                           oder nicht. Eine oder mehrere 'Flags'
    %                           Zeilen koennen fuer eine Klasse agegeben
    %                           werden.
    %
    %                           Gueltige Angaben fuer <words> sind:
    %
    %                   Hangup          Sofort auflegen. Entweder beim Login
    %                                   NACHDEM die Logi-Datei angezeigt
    %                                   wurde oder sofort, wenn die Klasse
    %                                   des Users veraendert wird, waehrend
    %                                   er online ist.
    %                   Hide            Unabhaengig von gesetzten Flags wird
    %                                   automatisch fuer alle User dieser
    %                                   Klasse ein 'don't display in userlist'
    %                                   angenommen.
    %                   ShowHidden      Gestattet diesem user, alle user in
    %                                   der Userliste zu sehen, unabhaengig
    %                                   von den 'don't display in user list'
    %                                   Einstellungen eines jeden Users
    %                                   und der jeweiligen User Klasse.
    %                   ShowAllFiles    Anzeige ALLER Dateien, auch derjenigen,
    %                                   die normalerweise durch ein dem
    %                                   Dateinamen vorangestellten '@' in
    %                                   der Dateiliste einer File-Area
    %                                   verborgen sind.
    %                   DloadHidden     Gestattet Usern, auch Dateien runter-
    %                                   zuladen, die in der Dateiliste einer
    %                                   File Area nicht erscheinen.
    %                   UploadAny       Gestattet dem user das Hochladen
    %                                   saemtlicher Dateien, ohne dass ein
    %                                   Checks auf .bbs/.gbs/.rbs Dateien
    %                                   und Dateien in der BADFILES.BBS
    %                                   durchgefuehrt wird.
    %                   NoFileLimit     Gestattet Usern dieser Klasse das
    %                                   Runterladen von Dateien ohne jegliche
    %                                   Checks auf Download- oder Zeitlimits.
    %                   NoTimeLimit     Schaltet die Zeitkontrolle fuer
    %                                   User dieser Klasse ab.
    %                   NoLimits        Kurzform fuee Beides: NoFileLimit und
    %                                   NoTimeLimit.
    %
    %   MailFlags    <words>    Diese Flags betreffen die Nachrichteneingabe
    %                           per Maximus.
    %
    %                           Angaben fuer <words> koennen sein:
    %
    %                   ShowPvt         Bewirkt die Anzeige saemtlicher
    %                                   Nachrichten ohne Ruecksicht auf
    %                                   den Privat Status oder dararauf, an
    %                                   wen die Nachricht adressiert ist
    %                                   oder von wqem sie geschreiben wurde.
    %                   Editor          Gestattet Usern dieser Klasse den
    %                                   Zugriff auf den definierten externen
    %                                   Nachrichteneditor, falls einer fuer
    %                                   die Nutzung durch Anrufer eingerichtet
    %                                   ist.
    %                   LocalEditor     Gestattet Usern dieser Klasse den
    %                                   Zugriff auf den externen Nachrichten
    %                                   Editor, falls einer fuer lokalen
    %                                   Gebrauch definiert ist.
    %                   NetFree         Fuer User in dieser Klasse wird keine
    %                                   Kostenberechnung fuer Netmail durch-
    %                                   gefuehrt.
    %                   MsgAttrAny      Gestattet Usern dieser Klasse, jegliche
    %                                   Nachrichten oder Attribute zu aendern.
    %                                   (Normalerweise reserviert nur fuer
    %                                   Sysop).
    %                   WriteRdOnly     Gestattet Usern Nachrichten auch in
    %                                   Brettern zu schreiben, die eigentlich
    %                                   ReadOnly sind.
    %                   NoRealName      MAXIMUS fuegt keine ^aREALNAME: kludge
    %                                   in Areas an, die entweder anonym sind
    %                                   oder die in denen die Verwendung von
    %                                   Alias gestattet ist.
    %
    %   UserFlags   <value>     Dies ist ein wahlfreies Flag, das es dem
    %                           Sysop gestattet, eigene Klassen - Flags zur
    %                           Verwendung in MEX Scripts zu definieren.
    %                           Jedes 'Bit' steht dabei fuer eines von 32
    %                           moeglichen Flags. z.B. setzt der Wert 1 das
    %                           Bit 0 auf AN und alle anderen AUS, ein Wert
    %                           von 127 setzt Bits 0 bis 6 auf AN und die
    %                           uebrigen alle auf AUS. Die Angabe unter
    %                           <value> kann sowohl dezimal als auch
    %                           hexadezimal erfolgen, im letzteren Fall
    %                           durch Voranstellen von "0x" oder "$".
    %
    %   Oldpriv     <value>     Dies ist der Privileg Level um die Kompa-
    %                           tibilitaet mit Maximus 2.x. zu erhalten.
    %                           Maximus 3.0 selbst verwendet diesen Wert
    %                           nicht. Falls selbst definierte Privileg
    %                           Klassen zusaetzlich zu den im Lieferumfang
    %                           vorhandenen definiert werden, sollte ein
    %                           "Oldpriv" Wert von einer der benachbarten
    %                           Klassen eingetragen werden.
    %
    % End Access                Ende des aktuellen Zugriffslevel.
    %
    % Die nachfolgend aufgefuehrten Zugriffslevel sind die, wie sie bis
    % Maximus 2.02 galten - hier in der neuen 'Access' Schreibweise:

Access Transient
        Level           0
        Desc            Transient
        Alias           Twit
        Key             T
        Time            15
        Cume            15
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       0
        FileRatio       0
        RatioFree       250
        UploadReward    0
%       LoginFile       Misc\PrivT
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         -2
End Access

Access Demoted
        Level           10
        Desc            Demoted
        Alias           Disgrace
        Key             D
        Time            45
        Cume            60
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       500
        FileRatio       0
        RatioFree       500
        UploadReward    50
%       LoginFile       Misc\PrivD
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         0
End Access

Access Limited
        Level           20
        Desc            Limited
        Key             L
        Time            60
        Cume            90
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       1000
        FileRatio       0
        RatioFree       1000
        UploadReward    100
%       LoginFile       Misc\PrivL
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         1
End Access

Access Normal
        Level           30
        Desc            Normal
        Key             N
        Time            60
        Cume            90
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       1000
        UploadReward    100
%       LoginFile       Misc\PrivN
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         2
End Access

Access Worthy
        Level           40
        Desc            Worthy
        Key             W
        Time            60
        Cume            90
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       1000
        UploadReward    100
%       LoginFile       Misc\PrivW
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         3
End Access

Access Privil
        Level           50
        Desc            Privil
        Key             P
        Time            60
        Cume            90
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       2000
        UploadReward    100
%       LoginFile       Misc\PrivP
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         4
End Access

Access Favored
        Level           60
        Desc            Favored
        Key             F
        Time            60
        Cume            90
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       5000
        UploadReward    100
%       LoginFile       Misc\PrivF
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         5
End Access

Access Extra
        Level           70
        Desc            Extra
        Key             E
        Time            60
        Cume            90
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       8000
        UploadReward    100
%       LoginFile       Misc\PrivE
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         6
End Access

Access Clerk
        Level           80
        Desc            Clerk
        Key             C
        Time            90
        Cume            120
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       10000
        UploadReward    100
%       LoginFile       Misc\PrivC
%       Flags
%       MailFlags
%       UserFlags
        Oldpriv         7
End Access

Access AsstSysop
        Level           90
        Desc            AsstSysop
        Key             A
        Time            120
        Cume            180
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       5000
        FileRatio       0
        RatioFree       10000
        UploadReward    100
%       LoginFile       Misc\PrivA
        Flags           ShowHidden ShowAllFiles DloadHidden
        MailFlags       Editor LocalEditor NetFree WriteRdOnly
%       UserFlags
        Oldpriv         8
End Access

Access Sysop
        Level           100
        Desc            Sysop
        Key             S
        Time            1440
        Cume            1440
        Calls           -1
        LogonBaud       300
        XferBaud        300
        FileLimit       30000
        FileRatio       0
        RatioFree       10000
        UploadReward    100
%       LoginFile       Misc\PrivS
        Flags           ShowHidden ShowAllFiles DloadHidden UploadAny
NoFileLimit
        MailFlags       Editor LocalEditor NetFree WriteRdOnly MsgAttrAny
NoRealName
%       UserFlags
        Oldpriv         10
End Access

Access Hidden
        Level           65535
        Desc            Hidden
        Key             H
        Time            0
        Cume            0
        Calls           0
        LogonBaud       300
        XferBaud        1200
        FileLimit       0
        FileRatio       0
        RatioFree       0
        UploadReward    0
%       LoginFile       Misc\PrivH
        Flags           HangUp Hide
%       MailFlags
%       UserFlags
        Oldpriv         11
End Access


