%     -------------------------------------------------------
%     FILEAREA.CTL -- Dateibereichs Kontrolldatei fuer Maximus
%     -------------------------------------------------------
%
%
%  Diese Datei enthaelt alle Informationen ueber die Dateibereiche des
%  Systems. Jedem Dateibereich kann ein Name gegeben werden. Dieser
%  Name besteht auc Buchstaben, Ziffern und irgendeinem der folgenden
%  Zeichen:
%
%       . / _ ~ ! @ # $ % ^ & * ( ) - + = |
%
%  Namen von Dateibereichen koennen bis zu 9 Zeichen lang sein. Es koennen
%  lediglich Nummern fuer die Bereiche vergeben werden, so dass man Namen
%  wie "1", "2", "3" usw. hat. Es ist jedoch sinnvoller, jedem Bereich
%  einen kurzen, leicht zu merkenden Namen zu geben.

%  Ein Beispiel:

%  FileArea 0
        % ACS gibt den Zugriffslevel an, der zum Zugriff auf diesen
        % Dateibereich erforderlich ist. (Anm. des Uebersetzers:
        % Zugriffslevel werden in ACCESS.CTL spezifiziert)

%       ACS     Sysop

        % `Desc' (= Beschreibung) gibt den Namen dieses Dateibereichs an,
        % wie ihn spaeter der User lesen wird.

%       Desc    Unchecked uploads

        % `Download' (= Runterladen) gibt den DOWNLOAD Pfad dieser Area an.
        % In diesem Verzeichnis sollte sich die Datei FILES.BBS und alle
        % Dateien, die verfuegbar sein sollen, befinden.

%       Download        File\Uncheck

        % `Upload' (= Hochladen) gibt den UPLOAD Pfad dieser Area an. Dieses
        % Verzeichnis wird von Maximus gewaehlt, um hochgeladenen Dateien
        % dieses Bereichs zu speichern.
        %
        % Ueblicherweise werden Uploads auf eine der folgeenden Weisen
        % behandelt:
        %
        % 1) Kontrolle erforderlich. Alle "Upload" Pfade bezeichnen dasselbe
        %    Verzeichnis, auf das nur der Sysop Zugriff hat. Nach Kontrolle
        %    werden die Dateien manuell dem richtigen Dateibereich
        %    zugeordnet.
        %
        % 2) Keine Kontrolle erforderlich. Alle "Upload" Pfade sind mit dem
        %    aktuellen "Download" Pfad identisch. Auf diese Weise hochge
        %    ladene Dateien werden automatisch in den entsprechenden
        %    Dateibereich eingeordnet und User haben sofort Zugriff darauf.
        %
        % Die Default Konfiguration geht von der Kontroll Methode aus, so
        % dass alle Dateien in demselben Bereich gespeichert werden.

%       Upload  File\Uncheck


        % Diese Anweisung bewirkt, dass der Berich gesperrt ist (eine
        % 'Barrikade'existiert) und dass der Zugriff ueber den Namen eines
        % Users oder ein Passwort kontrolliert wird. Naehere Informationen
        % finden sich in der Dokumentation.

%       Barricade <menu_name> <barricade_file>

        % Hier wird definiert, dass ein anderer Dateibereichs Menuename
        % gilt, waehrend der User in dem Bereich ist. Auf diese Weise
        % koennen spezielle Optonen nur fuer diesen Bereich definiert werden.

%       MenuName <orig_menu> <new_menu>

        % Mit dieser Option kann der privileg Level nur fuer diesen
        % Dateibereich veraendert werden. Detailliert Informationen
        % finden sich in der Programm Dokumentation.

%       Override <menu_name> <option_type> <ACS> [letter]

        % Wenn das Dateiverzeichnis in Form einer FILES.BBS fuer diesen
        % Bereich sich nicht im selben Verzeichnis befindet, wie die
        % Dateien selbst, kann man Pfad und Dateiname dieser Liste
        % gesondert angeben. Dies ist speziell fuer Dateien von CD-ROMs
        % gedacht.

%       FileList        <file>

        % Das 'Type' Schluesselwort wird verwendet, um bestimmte Optionen
        % fuer diese Area einzustellen. Folgende Optionen koennen angegeben
        % werden:
        %
        % Slow          Der Dateibereich ist auf einem Medium mit langsamen
        %               Zugriff (z.B. Streamer). Hierdurch gehen Max und
        %               SILT automatisch von der Existenz des Bereichs aus
        %               (ohne dies zu pruefen).
        %
        % Staged        Dateien dieses Bereichs werden in ein temporaeres
        %               Zwischenverzeichnis kopiert, bevor der Download
        %               eingeleitet wird. (Sieh "Stage Path" in der Doku.)
        %
        % NoNew         Dieser Bereich ist auf einem Medium permanent
        %               gespeichert und wird bei allen Pruefungen auf neue
        %               Dateien ausgeklammert.
        %
        % CD            Dieser Bereich ist auf einer CD-ROM. Dieses
        %               Schluesselwort schaltet alle obigen Optionen ein.
        %               "Type CD" ist identisch mit "Type Slow Staged NoNew".

%       Type CD

% End FileArea
