%      ------------------------------------------------------------
%      MSGAREA.CTL - Aufbau der Nachrichten Bereichs Kontroll Datei
%      ------------------------------------------------------------
%
%
%  Diese Datei enthaelt alle Informationen ueber die Nachrichtenbereiche
%  einer Mailbox. Jedem Nachrichtenbereich kann ein Name gegeben werden.
%  Dieser Name kann     aus Buchstaben, Ziffern und den folgenden Zeichen
%  bestehen:
%
%       . / _ ~ ! @ # $ % ^ & * ( ) - + = |
%
%  Namen von Mail Areas koennen bis zu neun Zeichen lang sein.  Auf Wunsch
%  koennen Nummern als Mail-Area Namen verwandt werden, z. B."1", "2", "3"
%  usw. Jedoch ist es einfacher einen kurzen Namen zu verwenden, an den man
%  sich auch erinnern kann.
%
%
%  ACHTUNG!  Sollen die Brettnummern dieser Datei veraendert werden,
%  so ist es erforderlich, die Dateien \MAX\MTAG.BBS und \MAX\OLR\DATS\*.*.
%  zu loeschen. Werden Brettnummern ohne Loeschen dieser Dateien veraendert,
%  werden Uploads von QWK-Mails nicht korrekt einsortiert!.


% Per Default ist der Bereich 1 fuer die Log Off Kommentare an den Sysop
% gedacht. Wenn Nummer oder Name dieses Bereichs geaendert werden, muss auch
% die entsprechende "Comment Area" Option in MAX.CTL angepasst werden.

% Beispiel fuer den Aufbau unterschiedlicher Areas:

% MsgArea 1
        % Das 'ACS' Schluesselwort gibt den Privileg Level an, der zum
        % Zugriff auf diesen Bereich erforderlich ist. (Anmerkung:
        % Privileg Level werden in ACCESS.CTL definiert!)
        % Wenn der Level des Users nicht hoch genug ist, kann er diesen
        % Bereich nicht erhalten und Maximus behandelt ihn so, als ob
        % dieser Bereich garnicht existiert.

%       ACS     Transient

        % Das 'Desc' (= Beschreibung) Schluesselwort gibt eine kurze
        % Beschreibung des Nachrichten Bereichs, wie ihn der User angezeigt
        % bekommt. Diese beschreibung darf nich laenger als 60 zeichen sein.

%       Desc    Comments to the SysOp

        % Das 'Style' Schluesselwort stellt einen Schalter fuer die unter-
        % schiedlichen Attribute dieses Nachrichten Bereichs dar.
        % Verschiedene Attribute koennen in einer einzigen 'Style' Zeile
        % angegeben werden.
        %
        % FILE FORMAT.  Nur eine der beiden Optionen duerfen angegeben werden:
        %
        %       Squish          Verwendung des Squish Dateiformats beim
        %                       Speichern von Nachrichten in diesem Bereich.
        %                       Diese Einstellung ist Default.
        %
        %       *.MSG           Verwendung des FidoNet-standard *.MSG Formats
        %                       beim Speichern von Nachrichten in diesem
        %                       Bereich.
        %
        % DISTRIBUTION. (= woertl.: "Verteilung". Hier geht es um den
        % Nachrichten Typ.)
        % Nur eine der nachfolgenden vier Optionen darf fuer jeden Bereich
        % angegeben werden:
        %
        %       Local           Definiert einen lokalen Nachrichten Bereich.
        %                       Nachrichten in diesem Bereich verlassen das
        %                       System nicht (werden also nicht geroutet oder
        %                       weitergeleitet.)
        %
        %       Net             Definiert einen NetMail Bereich. Solche
        %                       Bereiche dienen der privaten, Point-zu-Point
        %                       Kommunikation mit Online-Usern.
        %
        %       Echo            Definiert einen EchoMail Bereich. Nachrichten,
        %                       die in diesem Bereich eingegeben werden,
        %                       werden an alle Nodes, die diesen Bereich
        %                       erhalten, weitergegeben. Dazu wird diesen
        %                       Nachrichten automatisch eine Tearline und
        %                       eine Originzeile angehaengt.
        %
        %       Conf            Definiert einen Konferenz Bereich. Nach-
        %                       richten, die in diesem Bereich eingegeben
        %                       werden, werden an alle Nodes, die diesen
        %                       Bereich erhalten, weitergegeben. Dazu wird
        %                       diesen Nachrichten automatisch eine PID
        %                       Kludge angehaengt.
        %
        % Sichtbarkeit von Nachrichten. Eine oder beide der folgenden
        %                       Optionen duerfen angegeben werden:
        %
        %       Pub             Gestattet oeffentliche Nachrichten in diesem
        %                       Bereich. Solche oeffentlichen Nachrichten
        %                       koennen von allen Usern gelesen werden.
        %
        %       Pvt             Gestattet private Nachrichten in diesem
        %                       Bereich. Private Nachrichten koennen nur
        %                       vom Empfaenger und vom Sysop gelesen werden.
        %
        % Es koennen auch beide, "Pub" und "Pvt" angegeben werden, um beide
        % Nachrichten Typen zuzulassen.
        %
        % VERSCHIEDENE OPTIONEN. Naehere Details zu diesen Optionen sind der
        % Dokumentation zu entnehmen.
        %
        % HighBit       - Unterstuetzung von 8-Bit-Sonderzeichen in diesem
        %                 Bereich
        % Anon          - gestattet anonyme Nachrichten
        % ReadOnly      - kein Schreiben von Nachrichten gestattet
        % NoNameKludge  - keine kludge mit dem Realnamen des Users anhaengen
        % RealName      - erzwingt die Verwendung des Realnamens
        % Alias         - erzwingt die Verwendung eines Alias
        % Audit         - Nachrichten Pruefungs Optionen fuer diesen Bereich.
        % Hidden        - Bereich taucht nicht im Menue auf.

%       Style   Squish Local Pvt

        % Das 'Path' (= Pfad) Schluesselwort gibt an, wo die Nachrichten fuer
        % diesen Bereich zu speichern sind. Fuer *.MSG-Format Bereiche wird
        % ein Verzeichnis mit diesem Namen erzeugt. Fuer Squish-Format
        % Bereiche wird die Angabe als Basis-Dateiname verwendet und die
        % Squish-typischen Erweiterungen (.SQD etc.) werden angehaengt.

%       Path    Msg\Private

        % Die folgenden Optionen koennen zusaetzlich gemeinsam verwendet
        % werden. Naehere Informationen zu diesen und weiteren Schluessel-
        % worten finden sich in der Dokumentation.
        %
        % Barricade <menu_name> <barricade_file>
        %
        %   Kann verwendet werden, um die Level bestimmter User nur fuer
        %   diesen Bereich anzupassen. Naehere Details in der Dokumentation.
        %
        % MenuName <orig_menu> <new_menu>
        %
        %   Mit diesem Schluesselwort wird ein spezielle Menue nur fuer
        %   diesen Bereich verwendet. Wenn der User diesen Bereich gewaehlt
        %   hat, wird immer, wenn eine Funktion aus dem Original Nachrichten-
        %   Menue aufgerufen wird, statt dessen das <new_menu> eingesetzt.
        %
        % Override <menu_name> <option_type> <ACS> [letter]
        %
        %   Mit dieser Option kann der Level fuer eine Menue-Option nur fuer
        %   diesen bereich angepasst werden. Naehere Informationen in der
        %   Dokumentation.
        %
        % Renum Max <msgs>
        % Renum Days <days>
        %
        %   Mit diesen zwei Optionen koennen selektiv Nachrichten aus den
        %   einzelnen Bereichen mit einem automatisierten Programm ent-
        %   fernt werden. Naehere Details finden sich in der Dokumentation.

%       Renum Max       100

        % Jede bereichsdefinition muss auch beendet werden:

% End MsgArea


% Hier ein Beispiel fuer eine local message area, welche oeffentliche
% Nachrichten enthaelt.

% MsgArea 2
%        ACS     Demoted
%
%        Desc    Public Messages
%        Style   Squish Local Pub Pvt
%        Path    Msg\Public
%
        % Maximal 150 Nachrichten in diesem Bereich
%       Renum Max       150
% End MsgArea



% Beispiel Definition einer EchoMail area mit dem Namen "MUFFIN", (das
% Maximus Support Echo). Dieser bereich wird im Squish Nachrichten Format
% gespeichert.

% MsgArea MUF

%       ACS     Sysop
%       Desc    FidoNet Echo: MUFFIN (Maximus Tips'n'Tricks)
%       Style   Squish Echo Pub

        % Das "Tag" Schluesselwort spezifiziert den vorschriftmaessigen
        % Bereichsnamen fuer Echomail Bereiche. Dieser Name sollte derselbe
        % sein, wie im EchoMail Prizessor definiert. (Bei Squish ist das
        % der Name, der in einer "ECHOAREA" Zeile angegeben ist.)

%       Tag     MUFFIN

%       Path    Msg\Muffin

        % In EchoMail Bereichen kann man zusaetzlich eine Origin Zeile
        % angeben.
        %
        % Anstatt der Default Origin Zeile, welche in MAX.CTL (durch das
        % "Name" Schluesselwort) definiert ist, kann eine individuelle
        % Zeile fuer jeden Bereich eingetragen werden. Das Format einer
        % Origindefinition lautet:
        %
        %       Origin <primary_addr> <seenby_addr> [text]
        %
        % <primary_addr> ist die Adresse, die in ^aMSGID kludges
        % und in der Origin Zeile verwendet wird. Ein (".") kann angegeben
        % werden, um die Default Adresse zu verwenden.
        %
        % <seenby_addr> ist die Adresse fuer die SEEN-BY Zeile. Auch hier
        % kann (".") fuer die Verwending der Default Adresse angegeben werden.
        %
        % [text] is wahlfrei und einfach die Originzeile, die fuer diesen
        % Bereich verwendet werden soll. Die zeile darf bis zu 60 Zeichen
        % lang sein und wird ggf. gekuerzt. Wird kein [text] angegeben, oder
        % ueberhaupt keine Origin Angabe, fuegt Maximus die 'System line'
        % ein, wie sie in MAX.CTL angegeben ist.

        %       Origin  . . Maximus is great!

%       Renum Max       100
% End MsgArea


% Beispiel eines NetMail-Bereiches:

% MsgArea NET
        % Definition des primaeren NetMail Bereichs, auf den mit der
        % Bereichs - "Nummer" NET zugegriffen wird. Zu beachten: Default
        % ist hier das Squish Nachrichtenformat.

%       ACS     Sysop
%       Desc    NetMail
%       Path    Msg\Net
%       Style   Net Pvt

%       Renum Max 100
% End MsgArea
